skip to navigation
skip to content

Not Logged In

gears-less 0.3.3

LESS compiler for Gears

LESS compiler for Gears. This package already includes the LESS source code for you, so you don't need to worry about installing it yourself.

Bundled LESS version: 1.6.3

Installation

Install gears-less with pip:

$ pip install gears-less

Requirements

gears-less requires node.js to be installed in your system.

Usage

Add gears_less.LESSCompiler to environment's compilers registry:

from gears_less import LESSCompiler
environment.compilers.register('.less', LESSCompiler.as_handler())

If you use Gears in your Django project, add this code to its settings:

GEARS_COMPILERS = {
    '.less': 'gears_less.LESSCompiler',
}
 
File Type Py Version Uploaded on Size
gears-less-0.3.3.tar.gz (md5) Source 2014-02-19 2MB
  • Downloads (All Versions):
  • 27 downloads in the last day
  • 103 downloads in the last week
  • 694 downloads in the last month